# Generated by Django 4.1.5 on 2023-01-13 09:47

from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("volunteers", "0031_remove_volunteer_positions_sarprofile"),
    ]

    operations = [
        migrations.DeleteModel(
            name="RankRelatedDocuments",
        ),
        migrations.CreateModel(
            name="DocumentWithExpiry",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("file", models.FileField(upload_to="")),
                ("expiry_date", models.DateField()),
            ],
        ),
        migrations.CreateModel(
            name="RankRelatedDocuments",
            fields=[
                (
                    "volunteer",
                    models.OneToOneField(
                        on_delete=models.deletion.CASCADE,
                        primary_key=True,
                        serialize=False,
                        to="volunteers.volunteer",
                    ),
                ),
                (
                    "basic_safety",
                    models.ForeignKey(
                        on_delete=models.deletion.PROTECT,
                        related_name="+",
                        to="volunteers.documentwithexpiry",
                    ),
                ),
                (
                    "medical_fitness",
                    models.ForeignKey(
                        on_delete=models.deletion.PROTECT,
                        related_name="+",
                        to="volunteers.documentwithexpiry",
                    ),
                ),
                (
                    "watchkeeping_license",
                    models.ForeignKey(
                        null=True,
                        on_delete=models.deletion.PROTECT,
                        related_name="+",
                        to="volunteers.documentwithexpiry",
                    ),
                ),
            ],
        ),
    ]
